Bug 505510 - gnome-display-properties always uses the monitor on the "left side" as primary display
gnome-display-properties always uses the monitor on the "left side" as primar...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 03:47 EDT by Stefan Assmann
Modified: 2011-08-15 02:22 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:14:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Assmann 2009-06-12 03:47:19 EDT
Description of problem:
I used gnome-display-properties to configure a monitor as a screen for my laptop. Switching from clone mode do dual-head worked fine by unchecking the "mirror screens" checkbox. However I realized that however I drag the monitors around in the application the screen that appears on the left side will be used as the primary screen. By that I meant that it contains the gnome-panels.

I guess adding another button that allows you to choose which screen you want to be your primary screen would make things much easier. TIA!

Version-Release number of selected component (if applicable):
control-center-2.26.0-6.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. uncheck mirror screens
2. drag around the monitors on the screen
3.
  
Actual results:
monitor on the left side always shows gnome-panels

Expected results:
Be able to choose which screen shows gnome-panels

Additional info:
Comment 1 Ram Bhamidipaty 2009-10-16 11:13:39 EDT
I second this problem. I added a second monitor and found that there was
no way specify which monitor should be the "primary" one.
Comment 2 Timo Sorvoja 2009-11-17 13:23:28 EST
This fault is also in Fedora 12. Laptop with docking station and external display the laptop display is always the "primary" one (=panels exist in that screen).
Comment 3 Phil 2010-02-15 21:10:42 EST
For me this causes 2 rather annoying problems:

1. My physical desk layout does not allow my secondary monitor to be placed to the right of my main wide screen - height adjustable keyboard next to in built shelving.  This means that with every new window I open i have to turn my head left to grab the window and pull it back to my main wide screen - my neck is killing me.

2. When using a laptop with a projector plugged in it is impossible to do an OpenOffice presentation.  My notes and next slide details are displayed on the primary projector and the presentation itself is displayed on the secondary laptop screen.  This also makes other fullscreen applications not work properly, totem video for example, as the FS video is displayed on my laptop screen and not the projector...


I am using a fully patched Fedora 12 installation with the open source ATI driver.
Comment 4 Selim Ok 2010-03-11 17:36:51 EST
Shortly after i have found this bug report, i find just a workaround.
Through gconf-editor set the values of "/apps/panel/toplevels/bottom_panel/monitor" and "/apps/panel/toplevels/top_panel/monitor" to 1 (or 0 if its already 1), so that the panels goes in the other display. The desktop icons then may you drag and drop in the other side :)

Nevertheless i prefer an option within gnome-display-properties tool for this configuration.
Comment 5 Bug Zapper 2010-04-27 10:48:22 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matthieu Heimer 2010-05-21 17:35:16 EDT
Still present on Fedora 13. The main taskbar/panel stays on my right monitor but all organized desktop icons and applications windows move over to the left monitor. My left monitor needs to be an auxiliary or secondary monitor. The only thing displayed on my left monitor should be the wallpaper and the content that I manually place on it.
Comment 7 Timo A. Hummel 2010-08-13 18:20:04 EDT
As a workaround, you can use the following command to set your primary monitor manually:

xrandr --output VGA1 --primary

Replace "VGA1" with whichever output you'd like to use as primary one. xrandr without any arguments shows the output names.

However, this is an issue which should be fixed for the current or next release of Fedora.
Comment 8 Bug Zapper 2011-06-02 14:02:21 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-27 10:14:00 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Yul Rottmann 2011-08-14 08:24:23 EDT
There is still no way to select the primary monitor in Fedora 15! More and more people have more than 1 display and so it becomes more important to provide possibilities to select the primary one via the GUI.
Please reopen. Thanks in advance.
Comment 11 Timo Sorvoja 2011-08-15 02:22:02 EDT
Bug reopened:
Check bug https://bugzilla.redhat.com/show_bug.cgi?id=730618

Note You need to log in before you can comment on or make changes to this bug.